Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231521 - attr inheritance should try all direct ancestors
Summary: attr inheritance should try all direct ancestors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 20:15 UTC by Lon Hohberger
Modified: 2009-04-16 22:36 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0580
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 16:45:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0580 normal SHIPPED_LIVE rgmanager bug fix and enhancement update 2007-10-30 15:37:24 UTC

Description Lon Hohberger 2007-03-08 20:15:55 UTC
Description of problem:

The special non-OCF inherit flag for rgmanager's resource agents currently only
inherits from the parent resource.  For example, if the "nfslock" attr  is
inherited from the parent "service" for <fs> a la ineherit="service%nfslock",
and the service is structured thusly:

  <service nfslock="1">
    <fs/>
    <fs/>
  </service>

Things work fine.  However, if there's a necessary parent-child relationship
between two <fs/> agents, the second one will not inherit the nfslock parameter:

  <service nfslock="1">
    <fs> <!-- nfslock inherited -->
      <fs/> <!-- nfslock *not* inherited -->
    </fs>
  </service>

So, the inherit-flag should check parents-of-parents until a parent <service>
tag is found, or there are no more parents (e.g. service has no parents, so we
can't check its ancestors).

Comment 1 Lon Hohberger 2007-03-08 20:19:48 UTC
This is not dependent on - but somewhat related to #212121

Comment 2 Kiersten (Kerri) Anderson 2007-03-20 15:55:38 UTC
Devel ACK for 5.1

Comment 3 Kiersten (Kerri) Anderson 2007-04-23 17:27:48 UTC
Fixing Product Name.  Cluster Suite was integrated into the Enterprise Linux for
version 5.0.

Comment 4 RHEL Product and Program Management 2007-04-25 20:48:11 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Lon Hohberger 2007-04-26 20:42:52 UTC
Patches in CVS.

Comment 8 errata-xmlrpc 2007-11-07 16:45:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0580.html



Note You need to log in before you can comment on or make changes to this bug.